Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.phoenix
Interface ActivationAdmin

All Superinterfaces:
  Remote

public interface ActivationAdmin
extends Remote

An administrative interface for the activation system daemon. This interface is implemented directly by the same proxy that implements `ActivationSystem`.

Since:
  2.0

Method Summary
`Map` | `getActivatableObjects(ActivationGroupID id)` Returns a map from `ActivationID` to `ActivationDesc` for all activatable objects registered in the group registered under the specified activation group identifier.
`Map` | `getActivationGroups()` Returns a map from `ActivationGroupID` to `ActivationGroupDesc` for all registered activation groups.

Method Detail

### getActivationGroups

    public Map getActivationGroups()
                            throws RemoteException

  Returns a map from `ActivationGroupID` to `ActivationGroupDesc` for all registered activation groups. The map contains a snapshot of the state at the time of the call; subsequent state changes are not reflected in the map, nor do changes in the map cause changes in the state of the activation system daemon.

  Returns:
    a map from `ActivationGroupID` to `ActivationGroupDesc` for all registered activation groups
  Throws:
    `RemoteException` - if a communication-related exception occurs

### getActivatableObjects

    public Map getActivatableObjects(ActivationGroupID id)
                              throws UnknownGroupException,
                                     RemoteException

  Returns a map from `ActivationID` to `ActivationDesc` for all activatable objects registered in the group registered under the specified activation group identifier. The map contains a snapshot of the state at the time of the call; subsequent state changes are not reflected in the map, nor do changes in the map cause changes in the state of the activation system daemon.

  Parameters:
    `id` - activation group identifier
  Returns:
    a map from `ActivationID` to `ActivationDesc` for all activatable objects registered in the group registered under the specified activation group identifier
  Throws:
    `UnknownGroupException` - if no group is registered under the specified activation group identifier
    `RemoteException` - if a communication-related exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved